package com.ruoyi.syzy.criteria;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import com.fasterxml.jackson.annotation.JsonInclude;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.List;

@ApiModel("选科查询条件")
@JsonInclude(JsonInclude.Include.NON_NULL)
public class XkxcCriteria {
    @ApiModelProperty("是否收藏")
    private Boolean collect;
    @ApiModelProperty("是否选科收藏")
    private Boolean isSelectCourse;
    @ApiModelProperty(name = "科目1", example = "物理")
    private String course0;
    @ApiModelProperty(name = "科目2", example = "化学,生物")
    private String course1;
    @ApiModelProperty(name = "年份", example = "2021")
    private Integer year;
    @ApiModelProperty(name = "地域", example = "北京,江西")
    private String location;
    //    @ApiModelProperty(name = "院校特色", example = "ylxx,ylxk")
//    private String ts;
//    @ApiModelProperty(name = "院校类别", example = "综合,工科")
//    private String types;
    @ApiModelProperty(name = "专业", example = "护理学,助产学")
    private String marjors;
    @ApiModelProperty("搜索")
    private String keyword;
    @ApiModelProperty("学历 （本科/高职(专科)）")
    private String level;
    @ApiModelProperty("查询来源：1生涯志愿-选科查询；2选科报名")
    private Integer querySource;
    private Integer roundId;
    private List<Long> universityIds;

    private String natureTypeCN;

    /** 院校类型 */
    @ApiModelProperty("院校类型")
    private String type;

    @ApiModelProperty("特色")
    private String features;

    public List<Long> getUniversityIds() {
        return universityIds;
    }

    public void setUniversityIds(List<Long> universityIds) {
        this.universityIds = universityIds;
    }

    public String getNatureTypeCN() {
        return natureTypeCN;
    }

    public void setNatureTypeCN(String natureTypeCN) {
        this.natureTypeCN = natureTypeCN;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getFeatures() {
        return features;
    }

    public void setFeatures(String features) {
        this.features = features;
    }

    public Integer getRoundId() {
        return roundId;
    }

    public void setRoundId(Integer roundId) {
        this.roundId = roundId;
    }

    public Integer getQuerySource() {
        return querySource;
    }

    public void setQuerySource(Integer querySource) {
        this.querySource = querySource;
    }

    public Boolean getIsSelectCourse() {
        return this.isSelectCourse;
    }

    public void setIsSelectCourse(Boolean isSelectCourse) {
        this.isSelectCourse = isSelectCourse;
    }

    public Boolean getCollect() {
        return collect;
    }

    public void setCollect(Boolean collect) {
        this.collect = collect;
    }

    public String getCourse0() {
        return course0;
    }

    public void setCourse0(String course0) {
        this.course0 = course0;
    }

    public String getCourse1() {
        return course1;
    }

    public void setCourse1(String course1) {
        this.course1 = course1;
    }

    public Integer getYear() {
        return year;
    }

    public void setYear(Integer year) {
        this.year = year;
    }

    public String getLocation() {
        return location;
    }

    public void setLocation(String location) {
        this.location = location;
    }

//    public String getTs() {
//        return ts;
//    }
//
//    public void setTs(String ts) {
//        this.ts = ts;
//    }
//
//    public String getTypes() {
//        return types;
//    }
//
//    public void setTypes(String types) {
//        this.types = types;
//    }

    public String getMarjors() {
        return marjors;
    }

    public void setMarjors(String marjors) {
        this.marjors = marjors;
    }

    public String getKeyword() {
        return keyword;
    }

    public void setKeyword(String keyword) {
        this.keyword = keyword;
    }

    public String getLevel() {
        return level;
    }

    public void setLevel(String level) {
        this.level = level;
    }

    @Override
    public String toString() {
        return ToStringBuilder.reflectionToString(this, ToStringStyle.SHORT_PREFIX_STYLE);
    }
}
